#数据源配置
spring:
  redis:
    ##redis 单机环境配置
    host: 10.15.3.55
    port: 6379
    password:  Dh8282
    database: 1
    ssl: false
  datasource:
    dynamic:
      druid:
        # MySql、PostgreSQL、SqlServer、DaMeng校验
        validation-query: select 1
        # Oracle校验
        #validation-query: select 1 from dual
        validation-query-timeout: 2000
        initial-size: 5
        max-active: 20
        min-idle: 5
        max-wait: 60000
        test-on-borrow: false
        test-on-return: false
        test-while-idle: true
        time-between-eviction-runs-millis: 60000
        min-evictable-idle-time-millis: 300000
        stat-view-servlet:
          enabled: true
          login-username: blade
          login-password: 1qaz@WSX
        web-stat-filter:
          enabled: true
          url-pattern: /*
          exclusions: '*.js,*.gif,*.jpg,*.bmp,*.png,*.css,*.ico,/druid/*'
          session-stat-enable: true
          session-stat-max-count: 10
      primary: master
      strict: false
      datasource:
        master:
          url: jdbc:mysql://10.15.3.55:3306/shzhjcyjptywxt?useSSL=false&useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&transformedBitIsBoolean=true&serverTimezone=GMT%2B8&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
          username: root
          password: Dh@2022
          driver-class-name: com.mysql.cj.jdbc.Driver
          druid:
            # MySql、PostgreSQL、SqlServer、DaMeng校验
            validation-query: select 1
        #东华
        oracle_1:
          url: jdbc:oracle:thin:@10.15.52.13:1521:nmsldb
          username: daheng_user
          password: daheng_user
          driver-class-name: oracle.jdbc.OracleDriver
          druid:
            # Oracle校验
            validation-query: select 1 from dual
        #宏图
        oracle_2:
          url: jdbc:oracle:thin:@10.15.52.13:1521:nmsldb
          username: select_zhsl_user
          password: select_zhsl_user
          driver-class-name: oracle.jdbc.OracleDriver
          druid:
            # Oracle校验
            validation-query: select 1 from dual

  kafka:
    bootstrap-servers: 10.15.3.55:9092
    producer:
      retries: 0
      batch-size: 16384
      buffer-memory: 33554432
      key-serializer: org.apache.kafka.common.serialization.StringSerializer
      value-serializer: org.apache.kafka.common.serialization.StringSerializer
    consumer:
      group-id: kafka-ywxt-etl
      # 手动提交
      enable-auto-commit: false
      auto-offset-reset: latest
      key-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      value-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      properties:
        session.timeout.ms: 60000
    listener:
      log-container-config: false
      concurrency: 5
      # 手动提交
      ack-mode: manual_immediate
  mq-topic:
    topic-etl-task-run-info: topic-etl-task-run-info
    topic-etl-rain: topic-etl-rain-data
    topic-etl-river: topic-etl-river-data
    topic-etl-rsvr: topic-etl-rsvr-data
    topic-etl-ground: topic-etl-ground-data
    topic-etl-promptly-collect:  topic-etl-promptly-collect

#第三方登陆
social:
  enabled: false
  domain: http://127.0.0.1:1888

#blade配置
blade:
  #分布式锁配置
  lock:
    ##是否启用分布式锁
    enabled: false
    ##redis服务地址
    address: redis://10.15.3.55:6379
    password:  Dh8282
  #本地文件上传
  file:
    remote-mode: true
    upload-domain: http://127.0.0.1:8999
    remote-path: /usr/share/nginx/html


